<?php
// création du tableau
$tab = array(10, 15, 20, 25);

/*echo "--- contenu d'un tableau d'entiers ---".PHP_EOL;
// boucle d'affichage
foreach ($tab as $valeur)
{
  echo '$valeur='.$valeur.PHP_EOL;
}*/
echo "--- contenu et indices d'un tableau d'entiers ---".PHP_EOL;
foreach ($tab as $indice => $valeur)
{
  echo '$indice = '.$indice.'  $valeur='.$valeur.PHP_EOL;
}
// boucle de calcul
echo "--- calcul sur le tableau d'entiers ---".PHP_EOL;
foreach ($tab as $valeur)
{
  $valeur = $valeur * 2;
  echo '$valeur='.$valeur.PHP_EOL;
}
echo "--- contenu et indices d'un tableau d'entiers ---".PHP_EOL;
foreach ($tab as $indice => $valeur)
{
  echo '$indice = '.$indice.'  $valeur='.$valeur.PHP_EOL;
}
?>
